Log4JLogger

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.logger.server
Class Log4JLogger

    java.lang.Object
      org.openswing.swing.logger.server.Log4JLogger

All Implemented Interfaces:
  LoggerMethods

public class Log4JLogger
extends java.lang.Object
implements LoggerMethods

Title: OpenSwing Framework

Description: Class for logging messages through Log4J.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`Log4JLogger()`
`Log4JLogger(java.lang.String id)`

Method Summary
`void` | `debug(java.lang.String username, java.lang.String className, java.lang.String methodName, java.lang.String debugMessage)` Log a debug message.
`void` | `error(java.lang.String username, java.lang.String className, java.lang.String methodName, java.lang.String errorMessage, java.lang.Throwable exception)` Log an error message.
`void` | `info(java.lang.String username, java.lang.String className, java.lang.String methodName, java.lang.String infoMessage)` Log an info message.
`void` | `warn(java.lang.String username, java.lang.String className, java.lang.String methodName, java.lang.String warnMessage)` Log a warn message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4JLogger

    public Log4JLogger()

### Log4JLogger

    public Log4JLogger(java.lang.String id)

Method Detail

### error

    public final void error(java.lang.String username,
                            java.lang.String className,
                            java.lang.String methodName,
                            java.lang.String errorMessage,
                            java.lang.Throwable exception)

  Log an error message.

  Specified by:
    `error` in interface `LoggerMethods`
  Parameters:
    `username` - username
    `className` - class when occours the exception
    `methodName` - method when occours the exception
    `errorMessage` - exception message
    `exception` - exception

### debug

    public final void debug(java.lang.String username,
                            java.lang.String className,
                            java.lang.String methodName,
                            java.lang.String debugMessage)

  Log a debug message.

  Specified by:
    `debug` in interface `LoggerMethods`
  Parameters:
    `username` - username
    `className` - class when occours the debug message
    `methodName` - method when occours the debug message
    `debugMessage` - debug message

### warn

    public final void warn(java.lang.String username,
                           java.lang.String className,
                           java.lang.String methodName,
                           java.lang.String warnMessage)

  Log a warn message.

  Specified by:
    `warn` in interface `LoggerMethods`
  Parameters:
    `username` - username
    `className` - class when occours the warn message
    `methodName` - method when occours the warn message
    `warnMessage` - warn message

### info

    public final void info(java.lang.String username,
                           java.lang.String className,
                           java.lang.String methodName,
                           java.lang.String infoMessage)

  Log an info message.

  Specified by:
    `info` in interface `LoggerMethods`
  Parameters:
    `username` - username
    `className` - class when occours the warn message
    `methodName` - method when occours the warn message
    `infoMessage` - info message

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD